Package nl.tudelft.simulation.examples.dsol.mm1queue

# Class Release

java.lang.Object
nl.tudelft.simulation.event.EventProducer
nl.tudelft.simulation.dsol.formalisms.flow.Station<A,​R,​T>
nl.tudelft.simulation.dsol.formalisms.flow.Release<Double,​Double,​SimTimeDouble>
nl.tudelft.simulation.dsol.formalisms.flow.Release.TimeDouble
nl.tudelft.simulation.examples.dsol.mm1queue.Release

All Implemented Interfaces:
  `Serializable`, `StationInterface<Double,​Double,​SimTimeDouble>`, `StationInterface.TimeDouble`, `EventProducerInterface`

    public class Release
    extends Release.TimeDouble

The Seize is an extended Seize block which computes the servicetime.
Copyright (c) 2003-2019 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Author:
  Peter Jacobs
See Also:
  Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Release

`Release.CalendarDouble, Release.CalendarFloat, Release.CalendarLong, Release.TimeDouble, Release.TimeDoubleUnit, Release.TimeFloat, Release.TimeFloatUnit, Release.TimeLong`

## Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`StationInterface.CalendarDouble, StationInterface.CalendarFloat, StationInterface.CalendarLong, StationInterface.TimeDouble, StationInterface.TimeDoubleUnit, StationInterface.TimeFloat, StationInterface.TimeFloatUnit, StationInterface.TimeLong`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static EventType` | `SERVICE_TIME_EVENT` | SERVICE_TIME_EVENT is fired when a customer is released.

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`destination, simulator`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`RECEIVE_EVENT, RELEASE_EVENT`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Release​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource)` | constructs a new Release.
`Release​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource, double amount)` | constructs a new Release.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `releaseObject​(Object object)`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Release

`receiveObject`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`getDestination, setDestination`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`addListener, addListener, addListener, addListener, removeListener`

### Methods inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`getDestination, receiveObject, setDestination`

## Field Details

### SERVICE_TIME_EVENT

public static final EventType SERVICE_TIME_EVENT
SERVICE_TIME_EVENT is fired when a customer is released.

## Constructor Details

### Release

public Release​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource)
constructs a new Release.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator on which to schedule
  `resource` - Resource<Double,Double,SimTimeDouble>; the resource to be released

### Release

public Release​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource, double amount)
constructs a new Release.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator on which to schedule
  `resource` - Resource<Double,Double,SimTimeDouble>; the resource to be released
  `amount` - double; the amount to be released

## Method Details

### releaseObject

public final void releaseObject​(Object object)

Overrides:
  `releaseObject` in class `Station<Double,​Double,​SimTimeDouble>`